All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::matrix_prod< NumericT > Class Template Reference

Main kernel class for generating OpenCL kernels for operations on/with viennacl::vector<> without involving matrices, multiple inner products, or element-wise operations other than addition or subtraction. More...

`#include <matrix.hpp>`

## Static Public Member Functions

static device_specific::execution_handler & | execution_handler (bool is_row_major, viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT>
class viennacl::linalg::opencl::kernels::matrix_prod< NumericT >

Main kernel class for generating OpenCL kernels for operations on/with viennacl::vector<> without involving matrices, multiple inner products, or element-wise operations other than addition or subtraction.

Definition at line 969 of file matrix.hpp.

## Member Function Documentation

template<typename NumericT >

static device_specific::execution_handler& viennacl::linalg::opencl::kernels::matrix_prod< NumericT >::execution_handler | ( | bool | is_row_major,
|  | viennacl::ocl::context & | ctx
| ) |  |

inline static

Definition at line 972 of file matrix.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/opencl/kernels/matrix.hpp